Skip to main content
GET
/
v1
/
usage
/
movements
List usage ledger movements
curl --request GET \
  --url https://api.topcalls.ai/v1/usage/movements \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topcalls.ai/v1/usage/movements"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topcalls.ai/v1/usage/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "feature": "call_minutes",
      "source_id": "<string>",
      "regular_consumed": 123,
      "welcome_consumed": 123,
      "total_consumed": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "2023-11-07T05:31:56Z"
}
{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}
{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}
{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Query Parameters

limit
integer
default:50

Page size

Required range: 1 <= x <= 100
cursor
string<date-time>

Return rows with created_at strictly before this ISO timestamp (from a previous response's next_cursor)

created_after
string<date-time>

Only rows with created_at on or after this ISO timestamp

created_before
string<date-time>

Only rows with created_at on or before this ISO timestamp

Response

Usage movements

data
object[]
required
next_cursor
string<date-time> | null
required